<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              wpwicky
 * @since             1.0.0
 * @package           Anti_Bloat
 *
 * @wordpress-plugin
 * Plugin Name:       Anti-Bloat
 * Plugin URI:        www.wpwicky.com
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.0
 * Author:            wpwicky
 * Author URI:        wpwicky
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       anti-bloat
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ANTI_BLOAT_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-anti-bloat-activator.php
 */
function activate_anti_bloat() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-anti-bloat-activator.php';
	Anti_Bloat_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-anti-bloat-deactivator.php
 */
function deactivate_anti_bloat() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-anti-bloat-deactivator.php';
	Anti_Bloat_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_anti_bloat' );
register_deactivation_hook( __FILE__, 'deactivate_anti_bloat' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-anti-bloat.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_anti_bloat() {

	$plugin = new Anti_Bloat();
	$plugin->run();

}
run_anti_bloat();

add_action('admin_head','anti_bloat');
function anti_bloat()
{
    echo '<style>';
        echo '.updated, .notice, #update-nag, .update-nag {display: none;}';
        echo '</style>';
}
